<%--
/**
 * AdminEmailTestConnection.jsp
 * JSP Page which is calls when <Test Connection> button on Email Feature Configuration is pressed.
 */
--%>
<html>
<%@ page import="com.xerox.docushare.impl.server.encodeUtility" %>
<%@ page import="com.xerox.docushare.printemail.constants.PrintEmailConstants" %>
<%@ page import="com.xerox.docushare.printemail.util.SMTPUtil" %>
<%@ page import="java.net.URLEncoder" %>
<%@ include file="includes/sessionPageMethods.jsp" %>
<%@ include file="../jsp/common/start.jsp" %>
<%@ include file="includes/includeL10N.jsp" %>

<%
String sDisplayMsg= "";

try {
    if (dssession == null) {
        out.println(printEmailMessageObj.getMessageEscValue("printemail.dssession_null"));
        return;
    }

    String sEmailSMTPServer = (String)session.getAttribute("attrEmailSMTPServer");
    String sEmailSMTPServerPort = (String)session.getAttribute("attrEmailSMTPServerPort");
    String sEmailSMTPUsername = (String)session.getAttribute("attrEmailSMTPUsername");

    encodeUtility encU = new encodeUtility() ;
    String sEmailSMTPPassword = encU.decodeThis((String)session.getAttribute("attrEmailSMTPPassword"));


    SMTPUtil SMTPUtilObject = new SMTPUtil("EmailFeature", sEmailSMTPServer, sEmailSMTPServerPort, sEmailSMTPUsername, sEmailSMTPPassword);
    sDisplayMsg = SMTPUtilObject.testConnection(request, dssession);    
    String encodedUrl = response.encodeRedirectURL( "AdminEmailConfiguration.jsp?sTestConnectionMsg=" + URLEncoder.encode(sDisplayMsg,"UTF-8") + "&sTestConnectionPass=" + SMTPUtilObject.isTestConnectionSuccessful());
    response.sendRedirect( encodedUrl ) ;
    

} catch(Exception e) {
        PrintEmailConstants.getLogger().error("AdminEmailTestConnection.jsp: Caught exception.", e);
}
%>

<%@ include file="../jsp/common/end.jsp" %>
</html>