
<%/**
   * Copyright: Copyright (c) 2012
   * Company:  Xerox Docushare FXSGSC
   * @author Lee Chii Haur
   * @version 1.0
**/ %>
<%@ page import="jp.co.fujixerox.docushare.amber.object.VDFArrayList"%>
<%@ page import="com.xerox.docushare.property.DSLinkDesc"%>
<%@ page import="com.xerox.docushare.object.DSDocument"%>
<%@ page import="com.xerox.docushare.license.DSLicense"%>
<%@ page import="com.xerox.docushare.*" %>
<%@ page import="jp.co.fujixerox.docushare.amber.*" %>
<%@ page import="jp.co.fujixerox.docushare.amber.vdf.*" %>
<%@ page import="jp.co.fujixerox.docushare.amber.config.DSConfig" %>
<%@ page import="java.util.*" %>
<%@ page import="java.io.File"%>
<%@ page import="com.xerox.docushare.printemail.impl.EmailActionImpl"%>

<%@ include file="includes/includeL10N.jsp" %>
<%@ include file="includes/sessionPageMethods.jsp" %>
<%@ include file="../jsp/common/start.jsp" %>

<%
  if (mDSSession == null) {
    out.println("DSSession is null");
    return;
  }

  String[] args = new String[] {"handle"};
  // call to updateMapsAndCookie changed in 4.0.1
  String newId = DSSessionManager.getInstance().updateMapsAndCookie(request, response, mDSSession, mDSSession.getCredential(), true);  
  
  DSConfig dsconfig = ConfigManager.getInstance().getDSConfig();
  String templatesPath = dsconfig.getTemplatesPath();
  VDFManager vdfManager = new VDFManager(new File(templatesPath), new String[] {"local", "system", "error"} );
  WebRequest wsession = MyWebRequest.createWebRequest(getServletConfig().getServletContext(),
  request.getContentType(), newId, mDSSession, request, response,"PrintJob", args, request.getQueryString(), vdfManager, mDSSession.getLocale());

  String containerHandle = request.getParameter( "RedirectToHandle" );
  String caller = request.getParameter( "ReturnTo" );
  String total_cbx = request.getParameter("total_cbx");

  DSHandle[] handleArrayObj = (DSHandle[])session.getAttribute("handleArrayObj");

  StringBuffer target = new StringBuffer(wsession.getCommandBase());
  try{
	//DSHandle[] handleArrayObj = null;
	target.append(caller);
	target.append("/");
	target.append(containerHandle);
	  
	if(handleArrayObj.length == 0){ //i.e none of the checkboxes are selected
		wsession.sendRedirect(target.toString());
	}else{
		//all info from the previous page ...
		boolean saveTO = false;
		boolean saveCC = false;
		boolean saveBCC = false;
		boolean ccMe = false;
		if (request.getParameter( "save_to" ) != null)
			if (request.getParameter( "save_to" ).toString().equals("yes"))
				saveTO = true;
		if (request.getParameter( "save_cc" ) != null)
			if (request.getParameter( "save_cc" ).toString().equals("yes"))
				saveCC = true;
		if (request.getParameter( "save_bcc" ) != null)
			if (request.getParameter( "save_bcc" ).toString().equals("yes"))
				saveBCC = true;
		if (request.getParameter( "cc_me" ) != null)
			if (request.getParameter( "cc_me" ).toString().equals("yes"))
				ccMe = true;

		(new EmailActionImpl()).doEmailAction(target.toString(), wsession, mDSSession, handleArrayObj, request.getParameter( "to_field" ), request.getParameter( "cc_field" ), request.getParameter( "bcc_field" ), saveTO, saveCC, saveBCC, ccMe, request.getParameter( "subject" ), request.getParameter( "body_field" ), request.getParameter( "choice" ), request.getRequestURL().toString());
	}
	
  }
  catch(Exception e){
	HashMap user_msg = new HashMap();
        user_msg.put("provider", "Email Job");
        user_msg.put("type", "error");
        user_msg.put("message", printEmailMessageObj.getMessageEscValue("printEmail.msg.error", new String[]{"email"}));

        wsession.getVDFSession().set_user_msg(user_msg);
        wsession.sendRedirect(target.toString());
  }
%>


<%@ include file="../jsp/common/end.jsp" %>
