
<%/**
   * Copyright: Copyright (c) 2012
   * Company:  Xerox Docushare FXSGSC
   * @author Lee Chii Haur
   * @version 1.0
**/ %>
<%@page import="jp.co.fujixerox.docushare.amber.object.VDFArrayList"%>
<%@page import="com.xerox.docushare.property.DSLinkDesc"%>
<%@page import="com.xerox.docushare.object.DSDocument"%>
<%@page import="com.xerox.docushare.license.DSLicense"%>
<%@ page import="com.xerox.docushare.*" %>
<%@ page import="jp.co.fujixerox.docushare.amber.*" %>
<%@ page import="jp.co.fujixerox.docushare.amber.vdf.*" %>
<%@ page import="jp.co.fujixerox.docushare.amber.config.DSConfig" %>
<%@ page import="com.xerox.docushare.printemail.impl.MobilePrintActionImpl" %>
<%@ page import="java.util.*" %>
<%@page import="java.io.File"%>

<%@ include file="includes/includeL10N.jsp" %>
<%@ include file="includes/sessionPageMethods.jsp" %>
<%@ include file="../jsp/common/start.jsp" %>

<%
  if (mDSSession == null) {
    out.println("DSSession is null");
    return;
  }

  String[] args = new String[] {"handle"};
  // call to updateMapsAndCookie changed in 4.0.1
  String newId = DSSessionManager.getInstance().updateMapsAndCookie(request, response, mDSSession, mDSSession.getCredential(), true);  
  
  DSConfig dsconfig = ConfigManager.getInstance().getDSConfig();
  String templatesPath = dsconfig.getTemplatesPath();
  VDFManager vdfManager = new VDFManager(new File(templatesPath), new String[] {"local", "system", "error"} );
  WebRequest wsession = MyWebRequest.createWebRequest(getServletConfig().getServletContext(),
  request.getContentType(), newId, mDSSession, request, response,"PrintJob", args, request.getQueryString(), vdfManager, mDSSession.getLocale());

String containerHandle = request.getParameter( "RedirectToHandle" );
String caller = request.getParameter( "ReturnTo" );
String total_cbx = request.getParameter("total_cbx");

	List list = new VDFArrayList();
            int maxCheckboxes = 0;
            if (total_cbx != null)
                maxCheckboxes = Integer.parseInt( total_cbx ) + 1;  // the total number of checkboxes on the screen, not the number checked.

            for( int i = 0; i < maxCheckboxes; i++ ) {
                if( request.getParameter( "cbx" + Integer.toString( i ) ) != null ) {
                    String handleString = request.getParameter( "cbx" + Integer.toString( i ) + "_obj" );
                    list.add( new DSHandle( handleString ) );

                }
            }
  

  StringBuffer target = new StringBuffer(wsession.getCommandBase());
  try{
	DSHandle[] handleArrayObj = null;
	target.append(caller);
	target.append("/");
	target.append(containerHandle);
	  
	if(list.isEmpty()){ //i.e none of the checkboxes are selected
		wsession.sendRedirect(target.toString());
	}else{
		handleArrayObj = (DSHandle[])list.toArray(new DSHandle[0]);
		//pass to backend for processing and redirection, include error message
		(new MobilePrintActionImpl()).doMobilePrint(target.toString(), wsession, mDSSession, handleArrayObj);
	}
  }
  catch(Exception e){
	HashMap user_msg = new HashMap();
        user_msg.put("provider", "Print Job");
        user_msg.put("type", "error");
        user_msg.put("message", printEmailMessageObj.getMessageEscValue("printEmail.msg.error", new String[]{"print"}));

        wsession.getVDFSession().set_user_msg(user_msg);
        wsession.sendRedirect(target.toString());
  }
%>


<%@ include file="../jsp/common/end.jsp" %>
