<!--****************************************************************************-->
<!--File name:      thirdPartyHelpTextPage.jsp                                  -->
<!--Description:    launch the help topic for the input labels                  -->
<!--CopyRight:      2006 Xerox Corporation. All Rights Reserved.                 -->
<!--Created By:     Ji Wang                                                      -->
<!--*****************************************************************************-->

    
<%@ page import="java.util.Locale"%>
<%@ page import="com.xerox.docushare.printemail.util.PrintEmailMessageDB"%>
<%@ include file="../includes/sessionPageMethods.jsp" %>
<%@ include file="../../jsp/common/start.jsp" %>

<%
    PrintEmailMessageDB messageDb = new PrintEmailMessageDB(request);
    Locale locale = messageDb.getCurrentLocale();

    String name = request.getParameter("name");
    String help = request.getParameter("key");
    int keyIndex = help.indexOf("/");
    if (keyIndex > -1) {
        help = help.substring(0, keyIndex);
    }


%>

<html>
<h2><%= messageDb.getMessage("DocuShareHelpTitle") %></h2>

<table border="1" cellspacing="2" cellpadding="2">

<tr>

<th class="ColumnHeaderText"><%= messageDb.getMessage("prop.label.name") %></th>

<th class="ColumnHeaderText"><%= messageDb.getMessage("prop.Object.description") %></th>

</tr>

<tr>

<td valign="top"><%= messageDb.getMessage(name) %></td>

<td valign="top"><%= messageDb.getMessage(help) %></td>

</tr>

</table>

<center>

<p>

<form>

<input type="button" value="<%= messageDb.getMessage("button.close") %>" onclick="javascript:window.close()">

</form>

</center>



<%@ include file="../../jsp/common/end.jsp" %>

</html>

